Bug 1124233 - [abrt] yum-utils: sqlutils.py:168:executeSQLQmark:OperationalError: database is locked
Summary: [abrt] yum-utils: sqlutils.py:168:executeSQLQmark:OperationalError: database ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b460819b9d57e5ce78925789298...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 07:11 UTC by Koen
Modified: 2015-06-29 21:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:27 UTC


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2014-07-29 07:11 UTC, Koen
no flags Details
File: environ (3.34 KB, text/plain)
2014-07-29 07:11 UTC, Koen
no flags Details

Description Koen 2014-07-29 07:11:25 UTC
Description of problem:
package-cleanup --oldkernels --count=3

Version-Release number of selected component:
yum-utils-1.1.31-23.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/package-cleanup --oldkernels --count=3
dso_list:       yum-3.4.3-152.fc20.noarch
executable:     /usr/bin/package-cleanup
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:168:executeSQLQmark:OperationalError: database is locked

Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 400, in <module>
    util = PackageCleanup()
  File "/usr/bin/package-cleanup", line 60, in __init__
    self.main()
  File "/usr/bin/package-cleanup", line 343, in main
    sys.exit(self.doUtilTransaction())
  File "/usr/share/yum-cli/utils.py", line 422, in doUtilTransaction
    return_code = self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 797, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1794, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 935, in beg
    yum.misc.getloginuid()))
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
OperationalError: database is locked

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x5b30030>
query: 'INSERT INTO trans_beg\n                            (timestamp, rpmdb_version, loginuid)\n                            VALUES (?, ?, ?)'
params: (1406617756, '4934:f1f503223c65bedcc4e237bd40574a62d8367730', 500)

Comment 1 Koen 2014-07-29 07:11:28 UTC
Created attachment 922046 [details]
File: backtrace

Comment 2 Koen 2014-07-29 07:11:30 UTC
Created attachment 922047 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:30:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:49:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.